Name: puzzles
Version: 20200413.2a0e91b
Release: 1%{?dist}
Summary: A collection of one-player puzzle games

License: MIT
URL: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Source0: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-%{version}.tar.gz
Source1: template.desktop

BuildRequires:  gcc
BuildRequires: gtk3-devel, perl-interpreter, desktop-file-utils

%description
This is a collection of small desktop toys, little games that you can
pop up in a window and play for two or three minutes while you take a
break from whatever else you were doing.

%prep
%autosetup
iconv -f ISO88591 -t UTF8< LICENCE > LICENSE


%build
%configure --with-gtk=3
%make_build


%install
%make_install
mkdir -p %{buildroot}/%{_datadir}/puzzles
cp -a icons/*-32d24.png %{buildroot}/%{_datadir}/puzzles

# create all the desktop files needed.
path=%{buildroot}/%{_bindir}
for i in $path/*; do
	base=`basename $i`
	name=`perl -e 'print ucfirst($ARGV[0])' "$base"`
	command=puzzle-$base

	mv $i $path/$command

	sed -e "s/<NAME>/$name/g;s!<EXEC>!%{_bindir}/$command!g;s!<ICON>!%{_datadir}/puzzles/$base-32d24.png!g" %{SOURCE1} > puzzle-$base.desktop
	desktop-file-install \
		--dir=%{buildroot}%{_datadir}/applications/ \
		$command.desktop
done


%files
%doc README HACKING puzzles.txt
%license LICENSE
%{_bindir}/*
%{_datadir}/puzzles
%{_datadir}/applications/*


%changelog
* Fri May 01 2020 Olivier Samyn 🎻 <code@oleastre.be> - 20200413.2a0e91b-1
- New upstream release

* Wed Mar 18 2020 Olivier Samyn 🎻 <code@oleastre.be> - 20200318.d71ac73-1
- New upstream version

* Tue Feb 25 2020 Olivier Samyn 🎻 <code@oleastre.be> - 20191231.79a5378-1
- New upstream version

* Tue Oct 01 2019 Olivier Samyn 🎻 <code@oleastre.be> - 20190902.907c42b-1
- Updated packaging to latest upstream release
- Switch to gtk3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9023-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9023-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9023-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9023-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9023-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9023-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 9023-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jun 21 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 9023-13
- Use '|' as pattern-delimiter in sed expression (Fix FTFBS).
- Add %%license.
- Modernize spec.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 9023-8
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 29 2012 Bruno Wolff III <bruno@wolff.to> - 9023-5
- Link with math library

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 9023-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9023-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Victor Bogado <victor@bogado.net> 9023
- New upstream release.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8596-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

*Mon Jun 22 2009  Victor Bogado <victor@bogado.net> 8596-1
- updating to a new upstream version

*Thu Dec 11 2008  Victor Bogado <victor@bogado.net> 8365-1
- New updastream version

*Mon Oct 27 2008  Victor Bogado <victor@bogado.net> 8200-3
- Build-Requires should have desktop-file-utils
- Description should start with uppercase
- iconv goes now in prep area
- fixed mistakes in the versions of the change log
- Names on the menu should start with an upper-case

*Mon Oct 20 2008 Victor Bogado <victor@bogado.net> 8200-2
- Fixing problem with desktop files.

*Mon Oct 20 2008 Victor Bogado <victor@bogado.net> 8200-1
- Suggestion made by reviewer Sergio Pascual <sergio.pasra@gmail.com>.
- rename all the binaries.
- rename desktop files to follow the binary name.
- adding LICENCE (renamed to LICENSE) to docs.
- sed "in place", better coding.
- removing sed out of build-requires.
- Updated to last upstream version.

*Mon Sep 01 2008 Victor Bogado <victor@bogado.net> 8149-1
- initial spec
